#pragma once
#include "Entity.h"
#include "CS_JackCatcherBombCore.h"
//²¶»ñÕßÕ¨µ¯£¨Å×ÉäÎï£©
class CS_JackCatcherBomb :
    public Entity
{
public:
    CS_JackCatcherBomb(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    void SetCbRect_Entity();
    void SetCbRect_Collision();
    void Boom();
    void Destroy() override;
    float moveSpeed = 0;
    int existTime = 0;
    std::weak_ptr<CS_JackCatcherBombCore> core;
};

